using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Response.ContentType = "text/xml";

        string xsltFile = Server.MapPath("books.xslt");
        string xmlFile = Server.MapPath("books.xml");

        XslCompiledTransform xslt = new XslCompiledTransform(true); //Pass in true to enable XSLT Debugging
        xslt.Load(xsltFile);

        XPathDocument doc = new XPathDocument(xmlFile);
        xslt.Transform(doc, new XmlTextWriter(Response.Output));
    }

}
